LogFile (ActiveIO 1.0 API)
Keywords: org.activeio.journal.active.LogFile class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.journal.active
Class LogFile

    java.lang.Object
      org.activeio.journal.active.LogFile

All Implemented Interfaces:
  Disposable

public final class LogFile
extends java.lang.Object
implements Disposable

Allows read/append access to a LogFile.

Version:
  $Revision: 1.1 $

Constructor Summary
`LogFile(java.io.File file, int initialSize)`

Method Summary
`void` | `dispose()` This method should not throw any exceptions.
`void` | `force()`
`boolean` | `loadAndCheckRecord(int offset, Record record)`
`void` | `read(int offset, byte[] answer)`
`void` | `readRecordHeader(int offset, Record record)`
`void` | `resize()`
`void` | `write(int offset, java.nio.ByteBuffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFile

    public LogFile(java.io.File file,
                   int initialSize)
            throws java.io.IOException

Method Detail

### loadAndCheckRecord

    public boolean loadAndCheckRecord(int offset,
                                      Record record)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### resize

    public void resize()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### force

    public void force()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  This method should not throw any exceptions. Cleaning up a Disposable object should be easy of an end user therefore do not make him have to handle an Exception.

  Specified by:
    `dispose` in interface `Disposable`

### write

    public void write(int offset,
                      java.nio.ByteBuffer buffer)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### readRecordHeader

    public void readRecordHeader(int offset,
                                 Record record)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public void read(int offset,
                     byte[] answer)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.